---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 281203f2-aeb2-573c-8207-5bdad109d03f
      tier: AATSR_CMP_MONTH
      value: 0.03674210235476494
    brdf:
      alpha_1:
        band_1: 0.19657857000793102
        band_11: 0.16571073950933846
        band_12: 0.07171958927224106
        band_2: 0.196556127420014
        band_3: 0.38408568586423353
        band_4: 0.1948223824905692
        band_5: 0.19482905048827104
        band_6: 0.1948155196968824
        band_7: 0.7867002527320047
        band_8: 0.7868449552863862
        band_8a: 0.7866563627535151
      alpha_2:
        band_1: 0.22032053155102008
        band_11: 0.18137971714877332
        band_12: 0.22737309490128574
        band_2: 0.2203249761474994
        band_3: 0.17525211813535482
        band_4: 0.21177169043909594
        band_5: 0.21176617875990567
        band_6: 0.21177475362803552
        band_7: 0.05033221832894338
        band_8: 0.05032374050930925
        band_8a: 0.05033329006630965
      id:
      - 1931c031-1100-5cb0-b810-86f0c4e40573
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - c3953cf0-93a0-5217-9c2e-babc16fef3be
      tier: DEFINITIVE
      value: 0.258
    water_vapour:
      id:
      - 2def3bbd-b80b-525d-8567-1477fa804a8f
      tier: DEFINITIVE
      value: 2.2299999237060546
  id: 6af8e107-f354-4a0a-b0c6-0e813a223711
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1904.392174217396
      BAND-11: 231.8492151742512
      BAND-12: 79.29390204373334
      BAND-2: 1946.6648882719749
      BAND-3: 1822.687429019886
      BAND-4: 1488.225213879972
      BAND-5: 1373.8233347675937
      BAND-6: 1253.6177326967147
      BAND-7: 1147.6161153888756
      BAND-8: 1016.4095028730278
      BAND-8A: 926.8854179800821
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-05-23 01:01:53.755867Z
    atime: 2022-05-26 12:11:52Z
    ctime: 2019-05-23 08:44:23Z
    mtime: 2019-05-23 08:44:18Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20190523T005711_N0207_R002_T53KRB_20190523T041004.zip
  system_information:
    hostname: gadi-cpu-clx-2399.gadi.nci.org.au
    runtime_id: 06c75b32-dced-11ec-ac74-00000191fe80
    time_processed: 2022-05-26 12:11:52.069037Z
    uname: 'Linux gadi-cpu-clx-2399.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 20.0
    green: 1245.0
    red: 7.0
    teal: 131.0
    yellow: 12.0
  error_message: no errors
  final_qa_count: 1305
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20190523T041004_A020448_T53KRB_N02.07
  ref_date: '2014-09-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/071/LC81000712014262LGN00_B6.TIF
  residual:
    abs:
      x: 0.3
      xy: 0.36
      y: 0.2
    abs_iterative_mean:
      x: 0.23
      xy: 0.27
      y: 0.15
    cep90: 0.46
    iterative_mean:
      x: 0.2
      xy: 0.23
      y: 0.1
    iterative_stddev:
      x: 0.17
      xy: 0.23
      y: 0.15
    mean:
      x: 0.21
      xy: 0.23
      y: 0.09
    stddev:
      x: 0.86
      xy: 0.95
      y: 0.4
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 52.67276245163458
    cloud: 0.12893728858178619
    cloud_shadow: 0.08222333613715177
    snow: 0.07047013603292074
    water: 47.045606787613565
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 99.87891208654824
    cloud: 0.12108791345175907
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
